Airwallex logo

Confirmation Letter

Copy for LLMView as Markdown
Endpoints
POST /api/v1/confirmation_letters/create

Create confirmation letter

POST /api/v1/confirmation_letters/create

Given a transaction id , to generate confirmation letter , return as file stream, currently support deposit and payment

Request body
formatrequiredstring

the format of confirmation letter :

  • STANDARD - this format includes fee info.
  • NO_FEE_DISPLAY - this format won't display fee info.
transaction_idrequiredstring

Unique identifier of the deposit or transfer to get confirmation letter

Response body - 200 OK
No response body
Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/confirmation_letters/create
$curl --request POST \
> --url 'https://api.airwallex.com/api/v1/confirmation_letters/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "format": "NO_FEE_DISPLAY",
> "transaction_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede"
>}'
Was this section helpful?